-- MySQL Script generated by MySQL Workbench
-- Wed Dec 26 17:20:54 2018
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema bars
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema bars
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `bars` DEFAULT CHARACTER SET utf8 ;
USE `bars` ;

-- -----------------------------------------------------
-- Table `bars`.`AbstractBottle`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bars`.`AbstractBottle` (
  `Id` INT NOT NULL,
  `Name` VARCHAR(45) NULL,
  `Type` VARCHAR(45) NOT NULL,
  `Capacity` INT NULL,
  `Alc` DOUBLE NULL,
  PRIMARY KEY (`Id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bars`.`Supplier`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bars`.`Supplier` (
  `Id` INT NOT NULL,
  `Name` VARCHAR(45) NULL,
  `Company` VARCHAR(45) NULL,
  PRIMARY KEY (`Id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bars`.`Customer`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bars`.`Customer` (
  `Id` INT NOT NULL,
  `Name` VARCHAR(45) NULL,
  `Custom_supply` INT NULL,
  PRIMARY KEY (`Id`),
  INDEX `fk_Customer_Customer1_idx` (`Custom_supply` ASC),
  CONSTRAINT `fk_Customer_Customer1`
    FOREIGN KEY (`Custom_supply`)
    REFERENCES `bars`.`Customer` (`Id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bars`.`Bottle`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bars`.`Bottle` (
  `Id` INT NOT NULL,
  `Quantity` INT NOT NULL,
  `BottleInfo` INT NOT NULL,
  `Customer_id` INT NOT NULL,
  PRIMARY KEY (`Id`),
  INDEX `fk_Bottle_AbstractBottle1_idx` (`BottleInfo` ASC),
  INDEX `fk_Bottle_Customer1_idx` (`Customer_id` ASC),
  CONSTRAINT `fk_Bottle_AbstractBottle1`
    FOREIGN KEY (`BottleInfo`)
    REFERENCES `bars`.`AbstractBottle` (`Id`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Bottle_Customer1`
    FOREIGN KEY (`Customer_id`)
    REFERENCES `bars`.`Customer` (`Id`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bars`.`Supplier_has_AbstractBottle`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bars`.`Supplier_has_AbstractBottle` (
  `Supplier_Id` INT NOT NULL,
  `AbstractBottle_Id` INT NOT NULL,
  `id` INT NOT NULL,
  `Available` INT NULL,
  INDEX `fk_Supplier_has_AbstarctBottle_AbstarctBottle1_idx` (`AbstractBottle_Id` ASC),
  INDEX `fk_Supplier_has_AbstarctBottle_Supplier1_idx` (`Supplier_Id` ASC),
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_Supplier_has_AbstarctBottle_Supplier1`
    FOREIGN KEY (`Supplier_Id`)
    REFERENCES `bars`.`Supplier` (`Id`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Supplier_has_AbstarctBottle_AbstarctBottle1`
    FOREIGN KEY (`AbstractBottle_Id`)
    REFERENCES `bars`.`AbstractBottle` (`Id`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bars`.`Supplier_has_Customer`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bars`.`Supplier_has_Customer` (
  `Supplier_Id` INT NOT NULL,
  `Customer_Id` INT NOT NULL,
  `id` INT NOT NULL,
  `Lastorderamount` DOUBLE NULL,
  INDEX `fk_Supplier_has_Customer_Customer1_idx` (`Customer_Id` ASC),
  INDEX `fk_Supplier_has_Customer_Supplier1_idx` (`Supplier_Id` ASC),
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_Supplier_has_Customer_Supplier1`
    FOREIGN KEY (`Supplier_Id`)
    REFERENCES `bars`.`Supplier` (`Id`)
    ON DELETE CASCADE
    ON UPDATE CASCADE,
  CONSTRAINT `fk_Supplier_has_Customer_Customer1`
    FOREIGN KEY (`Customer_Id`)
    REFERENCES `bars`.`Customer` (`Id`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
